---
title: TextEncoder.encoding
slug: Web/API/TextEncoder/encoding
tags:
  - API
  - Encoding
  - Property
  - Read-only
  - Reference
  - TextEncoder
---
<div>{{APIRef("Encoding API")}}</div>

<p>The <strong><code>TextEncoder.encoding</code></strong> read-only property returns a {{DOMxRef("DOMString")}} containing the name of the encoding algorithm used by the specific encoder.</p>

<p>It can only have the following value <code>utf-8</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>b</var> = <var>encoder</var>.encoding;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Encoding", "#dom-textencoder-encoding", "TextEncoder.encoding")}}</td>
   <td>{{Spec2("Encoding")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TextEncoder.encoding")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{DOMxRef("TextEncoder")}} interface it belongs to.</li>
</ul>
